Get Order By ID
curl --request GET \
--url https://order.sandbox.rails.xyz/api/v1/order \
--header 'Authorization: Bearer <token>'import requests
url = "https://order.sandbox.rails.xyz/api/v1/order"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://order.sandbox.rails.xyz/api/v1/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order": {
"market": "ETH-USDT",
"orderId": "01HZ36SYBP4Z80GRX30P49XHB5",
"orderType": "sell",
"tradeType": "limit",
"price": "3772.272138",
"quantity": "1",
"filledQuantity": "0.5",
"leverage": "1",
"createdAt": 1717020981622,
"updatedAt": 1717020982756,
"orderStatus": "active",
"clientRequestId": "0835bf3e-4a20-41f0-908d-8213f2b7a285",
"reduceOnly": false,
"postOnly": false,
"avgFillPrice": "3772.272138"
}
}{
"message": "Unauthorized"
}{
"error": {
"slug": "NOT_FOUND",
"code": "0007"
},
"message": "order not found"
}{
"error": {
"slug": "TOO_MANY_REQUESTS",
"code": "0003"
},
"message": "api rate limit exceeded"
}Margin, Leverage & Orders
Get Order By ID
This endpoint retrieves order details by order ID or client request ID.
GET
/
api
/
v1
/
order
Get Order By ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Market name. Example value: ETH-USDT. To get all supported markets, call /api/v1/markets endpoint.
Unique identifier of the order. Example value: 01J4MD3R7N4HH4G76PT47VG3QC. You can get this value from the create order response.
Client-generated UUID for correlation. Example value: 0835bf3e-4a20-41f0-908d-8213f2b7a285. This is the same value as the clientRequestId field in the create order request.
Response
Order object containing all details for the requested order.
Show child attributes
Show child attributes
⌘I